SequenceFileAsTextInputFormat (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.input, class: SequenceFileAsTextInputFormat

Package org.apache.hadoop.mapreduce.lib.input

# Class SequenceFileAsTextInputFormat

java.lang.Object
org.apache.hadoop.mapreduce.InputFormat<K,V>
org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat<Text,Text>
org.apache.hadoop.mapreduce.lib.input.SequenceFileAsTextInputFormat

@Public @Stable public class SequenceFileAsTextInputFormat extends SequenceFileInputFormat<Text,Text>
This class is similar to SequenceFileInputFormat, except it generates SequenceFileAsTextRecordReader which converts the input keys and values to their String forms by calling toString() method.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

  `FileInputFormat.Counter`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

  `DEFAULT_LIST_STATUS_NUM_THREADS, INPUT_DIR, INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS, INPUT_DIR_RECURSIVE, LIST_STATUS_NUM_THREADS, NUM_INPUT_FILES, PATHFILTER_CLASS, SPLIT_MAXSIZE, SPLIT_MINSIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SequenceFileAsTextInputFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RecordReader<Text,Text>`
  `createRecordReader(InputSplit split, TaskAttemptContext context)`
  Create a record reader for a given split.

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat

  `getFormatMinSplitSize, listStatus`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

  `addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getInputDirRecursive, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, isSplitable, makeSplit, makeSplit, setInputDirRecursive, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize, shrinkStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SequenceFileAsTextInputFormat

    public SequenceFileAsTextInputFormat()

- ## Method Details

  - ### createRecordReader

    public RecordReader<Text,Text> createRecordReader(InputSplit split, TaskAttemptContext context) throws IOException
    Description copied from class: `InputFormat`
    Create a record reader for a given split. The framework will call `RecordReader.initialize(InputSplit, TaskAttemptContext)` before the split is used.
    Overrides:
      `createRecordReader` in class `SequenceFileInputFormat<Text,Text>`
    Parameters:
      `split` - the split to be read
      `context` - the information about the task
    Returns:
      a new record reader
    Throws:
      `IOException`